/*================================================*/
/* TVPSCALE.C                                     */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use as  */
/* long as this copyright notice is kept intact   */
/* and any changes are indicated in the comment   */
/* blocks for the functions                       */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVptr_setscale  set pointer scale factors      */
/*   Ralf Brown 6/13/88                           */
/*================================================*/

void pascal TVptr_setscale(OBJECT ptr,int x,int y)
{
   PARMLIST2 p ;

   if (TVisobj(ptr))
      {
      p.num_args = 2 ;
      p.arg[0] = x ;
      p.arg[1] = y ;
      TVsendmsg(SETSCALE_MSG, TOS, ptr, (PARMLIST *)&p) ;
      }
}

/*================================================*/
/* TVptr_getscale  get pointer scale factors      */
/*   Ralf Brown 6/13/88                           */
/*================================================*/

void pascal TVptr_getscale(OBJECT ptr,int *x,int *y)
{
   PARMLIST2 p ;

   if (TVisobj(ptr))
      {
      p.num_args = 0 ;
      TVsendmsg(SETSCALE_MSG, TOS, ptr, (PARMLIST *)&p) ;
      *x = (int) p.arg[0] ;
      *y = (int) p.arg[1] ;
      }
}

/* End of TVPSCALE.C */
